Subject: RE: [Entmib] Entity State MIB Status - DateAndTime Erratum

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Fri, 23 Jul 2004 11:45:33 +0200

> > >  311 DateAndTimeOrZero
> > > - Didn't really have proposed resolution or rather we had a
> > >   couple comments after the proposed resolution
> > ...
> > 
> > Since DateAndTime is already used this way (and has been 
> > for a long time) I don't see the value of adding a new TC.
> > However, it might make sense to see if we could agree on an
> > erratum for RFC 2579.
> 
> I agree. See my statement to this effect from Mon, 22 Mar 
> 2004 22:31:31 +0100. If nobody objects, I will submit an errata
> with the following simple change:
> 
> OLD:
>               2       3    month                     1..12
>               3       4    day                       1..31
> 
> NEW:
>               2       3    month                     0..12
>               3       4    day                       0..31
> 
> For those interested: '0000000000000000'H appears 58 times in the set
> of published IETF MIB modules. So there is some clear evidence that 
> this "zero" value has been used before without introducing a new TC.
> 
I can agree with the erratum submission.
However, this is not something we should just decide on the EntMIB mailing
list or WG. It is wider. And it does change the spec. So I'd like to at
least have IESG approval. The risk is that they may suggest a 4 week IETF
Last Call to make sure we have IETF consensus. After all it is a change
(in my view a well justified, accaptable, and apparently used in practice)
to a full STD document.

Bert
> /js
> 
> -- 
> Juergen Schoenwaelder		    International University Bremen
> <http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 
> 28725 Bremen, Germany
> 
> _______________________________________________
> Entmib mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/entmib
> 

_______________________________________________
Entmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/entmib

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 23 Jul 2004 14:00:08 +0200

> (in my view a well justified, accaptable, and apparently used in practice)

So tell me what the procedure is to make it happen and then I will make
up a calculation how much of my time it will cost and then I will decide
whether I engage in this or just let things continue the way they are.

[It the costs of getting this erratum in place is close to publishing
 an RFC on this subject, then I might conclude that other things are 
 more important.]

/js

-- 
Juergen Schoenwaelder		    International University Bremen
<http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 28725 Bremen, Germany